import 'package:async_injector/async_injector.dart';
import 'package:sqflite/sqflite.dart';
import 'gateway/sample_gateway_table.dart';

class DatabaseModule extends Module<Database> {
  @override
  init(Provider provider) {
    return openDatabase(
      "database",
      version: 1,
      onCreate: onCreate,
      onUpgrade: onUpgrade,
    );
  }

  Future onUpgrade(Database db, int oldVersion, int newVersion) async {
    //migrate
  }

  onCreate(Database db, int version) async {
    await SampleGatewayTable(db).createTable();
  }
}
