import 'package:dao_wrapped/dao/dao_mixin.dart';
import 'package:example/gateway/sample_gateway.dart';
import 'package:example/gateway/sample_gateway_table.dart';
import 'package:example/model/sample_module.dart';
import 'package:sqflite/sqlite_api.dart';

class SampleGatewayImpl with DaoMixin<SampleModel> implements SampleGateway {
  @override
  final SampleGatewayTable databaseGateway;

  SampleGatewayImpl(Database database)
      : databaseGateway = SampleGatewayTable(database);
}
